### Hierarchy

- WebRTCRecorder

### Implements

- AudioRecorder

## Index

### Constructors

- constructor

### Properties

- recordRTC
- INSTANCE

### Methods

- startRecording
- stopRecording
- initializeAudioContext
- instance
- removeMimeType
- rtcConfig

## Constructors

### Private constructor

- new WebRTCRecorder(recordRTC: any): WebRTCRecorder

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:9

  #### Parameters

  - ##### recordRTC: any

  #### Returns WebRTCRecorder

## Properties

### Private recordRTC

recordRTC: Promise<any>

- Defined in lib/audio/recorder/WebRTCRecorder.ts:8

### Static Private INSTANCE

INSTANCE: WebRTCRecorder

- Defined in lib/audio/recorder/WebRTCRecorder.ts:9

## Methods

### startRecording

- startRecording(): Promise<void>

- Implementation of AudioRecorder.startRecording

  - Defined in lib/audio/recorder/WebRTCRecorder.ts:22

  #### Returns Promise<void>

### stopRecording

- stopRecording(): Promise<string>

- Implementation of AudioRecorder.stopRecording

  - Defined in lib/audio/recorder/WebRTCRecorder.ts:34

  #### Returns Promise<string>

### Static Private initializeAudioContext

- initializeAudioContext(): Promise<any>

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:52

  #### Returns Promise<any>

### Static instance

- instance(): AudioRecorder

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:15

  #### Returns AudioRecorder

### Static Private removeMimeType

- removeMimeType(dataUrl: string): string

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:65

  #### Parameters

  - ##### dataUrl: string

  #### Returns string

### Static Private rtcConfig

- rtcConfig(): any

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:77

  #### Returns any

Generated using TypeDoc